.border-radius{
    &-xs{ border-radius: var(--border-radius-rounded-xs); }
    &-s{ border-radius: var(--border-radius-rounded-s); }
    &-m{ border-radius: var(--border-radius-rounded-m); }
}

div[data-block="Adaptive.Columns3"]{
    .columns{
        flex-wrap: wrap;
        align-items: stretch;
    }
}

.dashboard-card{
    border: none;
    border-radius: var(--border-radius-rounded-s);
    padding: var(--space-m) var(--space-l);
    height: 100%;
    display: flex;
    flex-direction: column;

    &.background-pink-lighter{
        display: flex;
        align-items: center;
        flex-direction: column;

        & > span{ align-self: baseline; }
    }

    & > div[data-container]{
        div[data-block="Charts.ColumnChart"]{
            .highcharts-yaxis-grid .highcharts-grid-line {
                stroke-width: 0px;
                stroke: transparent;
            }
            .highcharts-yaxis .highcharts-tick {
                stroke-width: 0px;
                stroke: transparent;
            }
            
            .highcharts-axis.highcharts-xaxis {
                display: none;
            }

            .highcharts-series.highcharts-series-0.highcharts-column-series.highcharts-color-0.highcharts-tracker rect {
                position: relative;
            }
            .highcharts-series.highcharts-series-0.highcharts-column-series.highcharts-color-0.highcharts-tracker rect:before {
                content: "";
                display: block;
                height: 100px;
                width: 5px;
                position: absolute;
                background-color: rgb(255 255 255 / 0.25);
                bottom: 0;
                left: 50%;
                transform: translateX(-50%);
            }
        }
    }

    & > div[data-container]{
        div[data-block="Numbers.ProgressBar"]{
            .osui-progress-bar__container{
                &:before{
                    content: "\f041";
                    position: absolute;
                    top: -25px;
                    left: var(--progress-value);
                    transform: translateX(-50%);
                    display: inline-block;
                    font: normal normal normal 14px/1 FontAwesome;
                    font-size: 25px;
                    color: var(--color-primary);
                }
                &:after{
                    content: "";
                    display: inline-block;
                    width: 7px;
                    height: 7px;
                    border-radius: var(--border-radius-circle);
                    background-color: var(--color-neutral-0);
                    position: absolute;
                    top: -20px;
                    left: var(--progress-value);
                    transform: translateX(-50%);
                }
            }
        
            .osui-progress-bar__value{
                &:after{ background: var(--color-violet-light); }
            }
        }
    }

    .progress-circle__container{
        width: 72px;
        margin-top: 19px;
        span{
            color: var(--color-neutral-0);
            font-weight: var(--font-bold);
            font-size: var(--font-size-xs);
            position: relative;
            &:before{
                content: "";
                display: block;
                width: 50px;
                height: 50px;
                background-color: var(--color-red-light);
                border-radius: var(--border-radius-circle);
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%,-50%);
                z-index: -1;
            }
        }
    }

    &-l{ 
        border: none;
        border-radius: var(--border-radius-rounded-xs);
        box-shadow: var(--shadow-xs);
    }
}

.justify-content-space-around{
    justify-content: space-around;
}

.font{
    &-medium{ font-weight: 500; }
}

.top-container{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 60px;
    margin-bottom: var(--space-xxl);

    div[data-block="Interaction.Search"]{
        flex: 4;
    }

    .date-card{
        padding: var(--space-base);
        display: flex;
        align-items: center;
        flex: 1;
        i{
            margin-right: 11px;
            font-size: 17px;
        }
        span{ 
            font-size: var(--font-size-s);
            font-weight: 500;
            margin-right: 18px;
            &:last-child{ margin-right: 0; }
        }
    }

}

.btn{
    &-filters{
        border: none;
        border-radius: var(--space-s);
        padding: var(--space-s);
        background-color: var(--color-blue-lightest);
        font-weight: 500;
        font-size: var(--font-size-s);
        color: var(--color-neutral-8);
        cursor: pointer;
    }
}

.content-top-title{
    a[data-link]{
        display: flex;
        align-items: center;
        i{
            margin-right: 15px;
        }

        &:hover{
            text-decoration: none;
        }
    }
}

.cards-wrapper{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 32px;
    grid-row-gap: 18px;

    div[data-block="CustomComponents.EmployeeDetailsCard"]{
        width: 404px;
        &:nth-child(odd){
            justify-self: end;
        }
    }
}

.search-input{
    &:after{ color: var(--color-primary); }
    label{ color: var(--color-search-placeholder); }
    .animated-label-input .form-control[data-input], .animated-label-input .form-control[data-textarea]{
        border-bottom: var(--border-size-s) solid var(--color-search-border);
        &:focus{
            border-bottom: var(--border-size-s) solid var(--color-primary);
        }
    }
}